curl -X POST https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"name": "Example Fleet"
}'
{
"id": "flt_XcVhxA1qoU3AeQ62khcFJ2U8cM3YvnYJ",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:18:21.434Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": [],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 0,
"total_energy_consumed_kwh": 0,
"total_sessions": 0,
"total_vehicles": 0,
"updated": "2026-04-01T00:26:27.243Z",
"wallet_balance": 0
}
Fleets
Create a Fleet
curl -X POST https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"name": "Example Fleet"
}'
{
"id": "flt_XcVhxA1qoU3AeQ62khcFJ2U8cM3YvnYJ",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:18:21.434Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": [],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 0,
"total_energy_consumed_kwh": 0,
"total_sessions": 0,
"total_vehicles": 0,
"updated": "2026-04-01T00:26:27.243Z",
"wallet_balance": 0
}
Creates a fleet. Use fleets to group vehicles and drivers and to apply shared billing and reporting preferences.
curl -X POST https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"name": "Example Fleet"
}'
{
"id": "flt_XcVhxA1qoU3AeQ62khcFJ2U8cM3YvnYJ",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:18:21.434Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": [],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 0,
"total_energy_consumed_kwh": 0,
"total_sessions": 0,
"total_vehicles": 0,
"updated": "2026-04-01T00:26:27.243Z",
"wallet_balance": 0
}
Parameters
string
Optional contact email for fleet notifications.
string
required
Human-readable name for the fleet.
string
IANA timezone.
More parameters
object
Set of key-value pairs that you can attach to an object.
string
Preferred unit system for reports.Available options:
international_system, us_customary_system, imperial_systemobject
Account-level settings related to billing, reporting, and charging activity.
Show properties
Show properties
string
Frequency of billing for the fleet (
monthly, weekly, etc.).string
Preferred currency for cost estimates and billing.
string
ID of the default payment method to use for charging sessions.
boolean
Whether drivers in this fleet receive session status notifications.
string
Frequency of automated report delivery (
weekly, monthly, etc.).Returns
Returns the created fleet.⌘I

